curl GET \
https://graph.facebook.com/v25.0/act_<AD_ACCOUNT_ID>/ads
| Parameter | Description |
|---|---|
date_presetenum{today, yesterday, this_month, last_month, this_quarter, maximum, data_maximum, last_3d, last_7d, last_14d, last_28d, last_30d, last_90d, last_week_mon_sun, last_week_sun_sat, last_quarter, last_year, this_week_mon_today, this_week_sun_today, this_year} |
Predefine date range used to aggregate insights metrics
|
effective_statuslist<string> |
Filter ads by effective status
|
time_range{‘since’:YYYY-MM-DD,’until’:YYYY-MM-DD} |
Date range used to aggregate insights metrics
since datetime
A date in the format of "YYYY-MM-DD", which means from the beginning midnight of that day.
until datetime
A date in the format of "YYYY-MM-DD", which means to the beginning midnight of the following day.
Show child parameters |
updated_sinceinteger |
Time since the Ad has been updated.
|
{
"data": [],
"paging": {},
"summary": {}
}
| Field | Description |
|---|---|
insightsEdge<AdsInsights> |
Analytics summary for all objects
|
total_countunsigned int32 |
Total number of Ads returned by the query
default |
| Error Code | Description |
|---|---|
200 | Permissions error |
613 | Calls to this api have exceeded the rate limit. |
100 | Invalid parameter |
80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management. |
190 | Invalid OAuth 2.0 Access Token |
2500 | Error parsing graph query |
3018 | The start date of the time range cannot be beyond 37 months from the current date |
2635 | You are calling a deprecated version of the Ads API. Please update to the latest version. |
368 | The action attempted has been deemed abusive or is otherwise disallowed |
POST /v25.0/act_<AD_ACCOUNT_ID>/ads HTTP/1.1 Host: graph.facebook.com name=My+Ad&adset_id=%3CAD_SET_ID%3E&creative=%7B%22creative_id%22%3A%22%3CCREATIVE_ID%3E%22%7D&status=PAUSED
| Parameter | Description |
|---|---|
ad_schedule_end_timedatetime |
An optional parameter that defines the end time of an individual ad. If no end time is defined, the ad will run on the campaign’s schedule.
This parameter is only available for sales and app promotion campaigns.
|
ad_schedule_start_timedatetime |
An optional parameter that defines the start time of an individual ad. If no start time is defined, the ad will run on the campaign’s schedule.
This parameter is only available for sales and app promotion campaigns.
|
adlabelslist<Object> |
Ad labels associated with this ad
|
adset_idint64 |
The ID of the ad set, required on creation.
|
adset_specAd set spec |
The ad set spec for this ad. When the spec is provided, adset_id field is not required.
|
audience_idstring |
The ID of the audience.
|
bid_amountinteger | Deprecated. We no longer allow setting the bid_amount value on an ad. Please set bid_amount for the ad set.
|
conversion_domainstring |
The domain where conversions happen. Required to create or update an ad in a campaign that shares data with a pixel. This field will be auto-populated for existing ads by inferring from destination URLs . Note that this field should contain only the first and second level domains, and not the full URL. For example facebook.com.
|
creativeAdCreative |
This field is required for create. The ID or creative spec of the ad creative to be used by this ad. You can read more about creatives here. You may supply the ID within an object as follows: {"creative_id": <CREATIVE_ID>}or creative spec as follow: {"creative": {\"name\": \"<NAME>\", \"object_story_spec\": <SPEC>}}required supports emoji |
creative_asset_groups_specstring (CreativeAssetGroupsSpec) |
creative_asset_groups_spec
supports emoji |
date_formatstring |
The format of the date.
|
display_sequenceint64 |
The sequence of the ad within the same campaign
|
engagement_audienceboolean |
Flag to create a new audience based on users who engage with this ad
|
execution_optionslist<enum{validate_only, synchronous_ad_review, include_recommendations}> | Default value: Set
An execution setting validate_only: when this option is specified, the API call will not perform the mutation but will run through the validation rules against values of each field. include_recommendations: this option cannot be used by itself. When this option is used, recommendations for ad object's configuration will be included. A separate section recommendations will be included in the response, but only if recommendations for this specification exist.synchronous_ad_review: this option should not be used by itself. It should always be specified with validate_only. When these options are specified, the API call will perform Ads Integrity validations, which include message language checking, image 20% text rule, and so on, as well as the validation logics.If the call passes validation or review, response will be {"success": true}. If the call does not pass, an error will be returned with more details. These options can be used to improve any UI to display errors to the user much sooner, e.g. as soon as a new value is typed into any field corresponding to this ad object, rather than at the upload/save stage, or after review.
|
include_demolink_hashesboolean |
Include the demolink hashes.
|
namestring |
Name of the ad.
required supports emoji |
priorityint64 |
Priority
|
source_ad_idnumeric string or integer |
ID of the source Ad, if applicable.
|
statusenum{ACTIVE, PAUSED, DELETED, ARCHIVED} |
Only ACTIVE and PAUSED are valid during creation. Other statuses
can be used for update. When an ad is created, it will first go through
ad review, and will have the ad status PENDING_REVIEW before it
finishes review and reverts back to your selected status of ACTIVE
or PAUSED. During testing, it is recommended to set ads to a PAUSED
status so as to not incur accidental spend.
|
tracking_specsObject |
With Tracking Specs, you log actions taken by people on your ad. See Tracking and Conversion Specs.
|
Struct {
id: numeric string,
success: bool,
}
| Error Code | Description |
|---|---|
100 | Invalid parameter |
200 | Permissions error |
613 | Calls to this api have exceeded the rate limit. |
368 | The action attempted has been deemed abusive or is otherwise disallowed |
80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management. |
194 | Missing at least one required parameter |
500 | Message contains banned content |
2635 | You are calling a deprecated version of the Ads API. Please update to the latest version. |
190 | Invalid OAuth 2.0 Access Token |
105 | The number of parameters exceeded the maximum for this operation |